<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-pragma">{-# LINE 1 &quot;src/SDL/GPU/C/Bool.hsc&quot; #-}</span><span>
</span><span id="line-1"></span><span class="hs-pragma">{-# LANGUAGE DerivingStrategies #-}</span><span>
</span><span id="line-2"></span><span class="hs-pragma">{-# LANGUAGE GeneralizedNewtypeDeriving #-}</span><span>
</span><span id="line-3"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.Bool</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-4"></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Prelude</span></span><span> </span><span class="hs-keyword">hiding</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="hs-identifier">Bool</span></span><span class="hs-special">)</span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">Prelude</span></span><span>
</span><span id="line-7"></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Bits</span></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Foreign.Storable</span></span><span>
</span><span id="line-11"></span><span>
</span><span id="line-12"></span><span>
</span><span id="line-13"></span><span>
</span><span id="line-14"></span><span class="hs-keyword">newtype</span><span> </span><span id="Bool"><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-var">Bool</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="Bool"><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-var">Bool</span></a></span></span><span> </span><span class="annot"><span class="hs-identifier hs-type">Word8</span></span><span>
</span><span id="line-15"></span><span class="hs-pragma">{-# LINE 15 &quot;src/SDL/GPU/C/Bool.hsc&quot; #-}</span><span>
</span><span id="line-15"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-keyword">stock</span><span> </span><span class="hs-special">(</span><span class="hs-identifier">Eq</span><span class="hs-special">,</span><span> </span><span class="hs-identifier">Show</span><span class="hs-special">)</span><span>
</span><span id="line-16"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="annot"><span class="hs-keyword">newtype</span></span><span> </span><span class="hs-special">(</span><span id="local-6989586621679177840"><span id="local-6989586621679177844"><span id="local-6989586621679177848"><span id="local-6989586621679177852"><span id="local-6989586621679177856"><span id="local-6989586621679177860"><span id="local-6989586621679177865"><span class="annot"><span class="annottext">Integer -&gt; Bool
Bool -&gt; Bool
Bool -&gt; Bool -&gt; Bool
forall a.
(a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (Integer -&gt; a)
-&gt; Num a
fromInteger :: Integer -&gt; Bool
$cfromInteger :: Integer -&gt; Bool
signum :: Bool -&gt; Bool
$csignum :: Bool -&gt; Bool
abs :: Bool -&gt; Bool
$cabs :: Bool -&gt; Bool
negate :: Bool -&gt; Bool
$cnegate :: Bool -&gt; Bool
* :: Bool -&gt; Bool -&gt; Bool
$c* :: Bool -&gt; Bool -&gt; Bool
- :: Bool -&gt; Bool -&gt; Bool
$c- :: Bool -&gt; Bool -&gt; Bool
+ :: Bool -&gt; Bool -&gt; Bool
$c+ :: Bool -&gt; Bool -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Num</span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679177748"><span id="local-6989586621679177752"><span id="local-6989586621679177756"><span id="local-6989586621679177760"><span id="local-6989586621679177764"><span id="local-6989586621679177768"><span id="local-6989586621679177772"><span id="local-6989586621679177776"><span id="local-6989586621679177780"><span id="local-6989586621679177784"><span id="local-6989586621679177788"><span id="local-6989586621679177792"><span id="local-6989586621679177796"><span id="local-6989586621679177800"><span id="local-6989586621679177804"><span id="local-6989586621679177808"><span id="local-6989586621679177812"><span id="local-6989586621679177816"><span id="local-6989586621679177820"><span id="local-6989586621679177824"><span id="local-6989586621679177828"><span id="local-6989586621679177833"><span class="annot"><span class="annottext">Eq Bool
Bool
Int -&gt; Bool
Bool -&gt; Bool
Bool -&gt; Int
Bool -&gt; Maybe Int
Bool -&gt; Bool
Bool -&gt; Int -&gt; Bool
Bool -&gt; Int -&gt; Bool
Bool -&gt; Bool -&gt; Bool
forall a.
Eq a
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a -&gt; a)
-&gt; (a -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; a
-&gt; (Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; Bool)
-&gt; (a -&gt; Maybe Int)
-&gt; (a -&gt; Int)
-&gt; (a -&gt; Bool)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int -&gt; a)
-&gt; (a -&gt; Int)
-&gt; Bits a
popCount :: Bool -&gt; Int
$cpopCount :: Bool -&gt; Int
rotateR :: Bool -&gt; Int -&gt; Bool
$crotateR :: Bool -&gt; Int -&gt; Bool
rotateL :: Bool -&gt; Int -&gt; Bool
$crotateL :: Bool -&gt; Int -&gt; Bool
unsafeShiftR :: Bool -&gt; Int -&gt; Bool
$cunsafeShiftR :: Bool -&gt; Int -&gt; Bool
shiftR :: Bool -&gt; Int -&gt; Bool
$cshiftR :: Bool -&gt; Int -&gt; Bool
unsafeShiftL :: Bool -&gt; Int -&gt; Bool
$cunsafeShiftL :: Bool -&gt; Int -&gt; Bool
shiftL :: Bool -&gt; Int -&gt; Bool
$cshiftL :: Bool -&gt; Int -&gt; Bool
isSigned :: Bool -&gt; Bool
$cisSigned :: Bool -&gt; Bool
bitSize :: Bool -&gt; Int
$cbitSize :: Bool -&gt; Int
bitSizeMaybe :: Bool -&gt; Maybe Int
$cbitSizeMaybe :: Bool -&gt; Maybe Int
testBit :: Bool -&gt; Int -&gt; Bool
$ctestBit :: Bool -&gt; Int -&gt; Bool
complementBit :: Bool -&gt; Int -&gt; Bool
$ccomplementBit :: Bool -&gt; Int -&gt; Bool
clearBit :: Bool -&gt; Int -&gt; Bool
$cclearBit :: Bool -&gt; Int -&gt; Bool
setBit :: Bool -&gt; Int -&gt; Bool
$csetBit :: Bool -&gt; Int -&gt; Bool
bit :: Int -&gt; Bool
$cbit :: Int -&gt; Bool
zeroBits :: Bool
$czeroBits :: Bool
rotate :: Bool -&gt; Int -&gt; Bool
$crotate :: Bool -&gt; Int -&gt; Bool
shift :: Bool -&gt; Int -&gt; Bool
$cshift :: Bool -&gt; Int -&gt; Bool
complement :: Bool -&gt; Bool
$ccomplement :: Bool -&gt; Bool
xor :: Bool -&gt; Bool -&gt; Bool
$cxor :: Bool -&gt; Bool -&gt; Bool
.|. :: Bool -&gt; Bool -&gt; Bool
$c.|. :: Bool -&gt; Bool -&gt; Bool
.&amp;. :: Bool -&gt; Bool -&gt; Bool
$c.&amp;. :: Bool -&gt; Bool -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Bits</span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679177713"><span id="local-6989586621679177717"><span id="local-6989586621679177721"><span id="local-6989586621679177725"><span id="local-6989586621679177729"><span id="local-6989586621679177733"><span id="local-6989586621679177737"><span id="local-6989586621679177742"><span class="annot"><span class="annottext">Ptr Bool -&gt; IO Bool
Ptr Bool -&gt; Int -&gt; IO Bool
Ptr Bool -&gt; Int -&gt; Bool -&gt; IO ()
Ptr Bool -&gt; Bool -&gt; IO ()
Bool -&gt; Int
forall b. Ptr b -&gt; Int -&gt; IO Bool
forall b. Ptr b -&gt; Int -&gt; Bool -&gt; IO ()
forall a.
(a -&gt; Int)
-&gt; (a -&gt; Int)
-&gt; (Ptr a -&gt; Int -&gt; IO a)
-&gt; (Ptr a -&gt; Int -&gt; a -&gt; IO ())
-&gt; (forall b. Ptr b -&gt; Int -&gt; IO a)
-&gt; (forall b. Ptr b -&gt; Int -&gt; a -&gt; IO ())
-&gt; (Ptr a -&gt; IO a)
-&gt; (Ptr a -&gt; a -&gt; IO ())
-&gt; Storable a
poke :: Ptr Bool -&gt; Bool -&gt; IO ()
$cpoke :: Ptr Bool -&gt; Bool -&gt; IO ()
peek :: Ptr Bool -&gt; IO Bool
$cpeek :: Ptr Bool -&gt; IO Bool
pokeByteOff :: forall b. Ptr b -&gt; Int -&gt; Bool -&gt; IO ()
$cpokeByteOff :: forall b. Ptr b -&gt; Int -&gt; Bool -&gt; IO ()
peekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO Bool
$cpeekByteOff :: forall b. Ptr b -&gt; Int -&gt; IO Bool
pokeElemOff :: Ptr Bool -&gt; Int -&gt; Bool -&gt; IO ()
$cpokeElemOff :: Ptr Bool -&gt; Int -&gt; Bool -&gt; IO ()
peekElemOff :: Ptr Bool -&gt; Int -&gt; IO Bool
$cpeekElemOff :: Ptr Bool -&gt; Int -&gt; IO Bool
alignment :: Bool -&gt; Int
$calignment :: Bool -&gt; Int
sizeOf :: Bool -&gt; Int
$csizeOf :: Bool -&gt; Int
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Storable</span></span></span></span></span></span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-17"></span><span>
</span><span id="line-18"></span><span class="annot"><a href="SDL.GPU.C.Bool.html#true"><span class="hs-identifier hs-type">true</span></a></span><span class="hs-special">,</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#false"><span class="hs-identifier hs-type">false</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">Bool</span></a></span><span>
</span><span id="line-19"></span><span id="true"><span class="annot"><span class="annottext">true :: Bool
</span><a href="SDL.GPU.C.Bool.html#true"><span class="hs-identifier hs-var hs-var">true</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-number">1</span></span><span>
</span><span id="line-20"></span><span id="false"><span class="annot"><span class="annottext">false :: Bool
</span><a href="SDL.GPU.C.Bool.html#false"><span class="hs-identifier hs-var hs-var">false</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-number">0</span></span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="annot"><a href="SDL.GPU.C.Bool.html#isTrue"><span class="hs-identifier hs-type">isTrue</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">Bool</span></a></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Prelude.Bool</span></span><span>
</span><span id="line-23"></span><span id="isTrue"><span class="annot"><span class="annottext">isTrue :: Bool -&gt; Bool
</span><a href="SDL.GPU.C.Bool.html#isTrue"><span class="hs-identifier hs-var hs-var">isTrue</span></a></span></span><span> </span><span id="local-6989586621679177705"><span class="annot"><span class="annottext">Bool
</span><a href="#local-6989586621679177705"><span class="hs-identifier hs-var">b</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-keyword">if</span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Bool
</span><a href="#local-6989586621679177705"><span class="hs-identifier hs-var">b</span></a></span><span> </span><span class="annot"><span class="annottext">forall a. Eq a =&gt; a -&gt; a -&gt; Bool
</span><span class="hs-operator hs-var">==</span></span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-number">0</span></span><span class="hs-special">)</span><span> </span><span class="hs-keyword">then</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">Prelude.False</span></span><span> </span><span class="hs-keyword">else</span><span> </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">Prelude.True</span></span><span>
</span><span id="line-24"></span><span>
</span><span id="line-25"></span><span class="annot"><a href="SDL.GPU.C.Bool.html#bool"><span class="hs-identifier hs-type">bool</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Prelude.Bool</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><a href="SDL.GPU.C.Bool.html#Bool"><span class="hs-identifier hs-type">Bool</span></a></span><span>
</span><span id="line-26"></span><span id="bool"><span class="annot"><span class="annottext">bool :: Bool -&gt; Bool
</span><a href="SDL.GPU.C.Bool.html#bool"><span class="hs-identifier hs-var hs-var">bool</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-glyph">\</span><span class="hs-glyph">case</span><span>
</span><span id="line-27"></span><span>  </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">True</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">Bool
</span><a href="SDL.GPU.C.Bool.html#true"><span class="hs-identifier hs-var">true</span></a></span><span>
</span><span id="line-28"></span><span>  </span><span class="annot"><span class="annottext">Bool
</span><span class="hs-identifier hs-var">False</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="annottext">Bool
</span><a href="SDL.GPU.C.Bool.html#false"><span class="hs-identifier hs-var">false</span></a></span><span>
</span><span id="line-29"></span><span>
</span><span id="line-30"></span></pre></body></html>